1 / 16

实验工程制图 第七讲

实验工程制图 第七讲. 曲面计算机表示 曲面在工程中应用 实验工程制图 教材 P233-253. 习题见后. 螺旋型 灯具造型. 螺旋线计算机表示方法. 螺纹. 弹簧. Lp7-26x. DNA 分 子结构. (defun C:Lp7-26x() (setq p0(getpoint &quot;<br> enter start point:&quot;)) (setq r(getreal&quot;<br> enter radius:r=&quot;)) (setq t1(getreal&quot;<br> enter dis: ti=&quot;))

lynda
Télécharger la présentation

实验工程制图 第七讲

An Image/Link below is provided (as is) to download presentation Download Policy: Content on the Website is provided to you AS IS for your information and personal use and may not be sold / licensed / shared on other websites without getting consent from its author. Content is provided to you AS IS for your information and personal use only. Download presentation by click this link. While downloading, if for some reason you are not able to download a presentation, the publisher may have deleted the file from their server. During download, if you can't get a presentation, the file might be deleted by the publisher.

E N D

Presentation Transcript


  1. 实验工程制图第七讲 曲面计算机表示 曲面在工程中应用 实验工程制图 教材P233-253 习题见后

  2. 螺旋型灯具造型 螺旋线计算机表示方法 螺纹 弹簧 Lp7-26x DNA分 子结构

  3. (defun C:Lp7-26x() (setq p0(getpoint "\n enter start point:")) (setq r(getreal"\n enter radius:r=")) (setq t1(getreal"\n enter dis: ti=")) (setq n(getreal"\n enter number: n=")) (setq r0(getreal"\n enter radius of move ball r0=")) (setq x0(car p0)) (setq y0(cadr p0)) (setq z0(caddr p0)) (setq x1 (+ x0 r)) (setq y1 y0) (setq z1 z0)

  4. (setq i 0) (setq a(* n 360)) (while(<= i a) (setq ang(/(* i pi)180)) (setq x2(+ x0(* r(cos ang)))) (setq y2(+ y0(* r(sin ang)))) (setq z2(*(/ t1 (* 2 pi))ang)) (setq p2(list x2 y2 z2)) (setq p1(list x1 y1 z1))

  5. (command"vpoint" "1,1,1") (command"sphere" p1 r0 "") (setq cl(entlast)) (command"copy" cl "" p1 p2 "") (setq p1 p2) (setq x1 x2 y1 y2 z1 z2) (setq i(+ i 60)) ) (command"erase" c1 "")

  6. 如何根据圆锥螺旋线立体图画出其正投影图,再由正投影图建立圆锥螺旋线的数学模型,编写绘图程序。如何根据圆锥螺旋线立体图画出其正投影图,再由正投影图建立圆锥螺旋线的数学模型,编写绘图程序。 圆锥面螺旋线

  7. 如何根据圆球螺旋线立体图画出其正投影图,再由正投影图建立圆球螺旋线的数学模型,编写绘图程序。如何根据圆球螺旋线立体图画出其正投影图,再由正投影图建立圆球螺旋线的数学模型,编写绘图程序。 圆球面螺旋线

  8. 变节距螺旋线 应用: 具有传动加速度的圆柱凸轮是变螺距螺旋线 弹簧如果要有独特的弹性,也采用变螺距螺旋线

  9. (defun C:Lp7-28() (setq r 2) (setq w 50) (setq v 6) (setq j 0) (while(<= j 1) (setq h 0.001) (setq x1(*(cos(* w j))r)) (setq y1(*(sin(* w j))r)) (setq z1(* v j j)) (setq j(+ j h)) (setq x2(*(cos(* w j))r)) (setq y2(*(sin(* w j))r)) (setq z2(* v j j)) (setq p1(list x1 y1 z1)) (setq p2(list x2 y2 z2)) (command"line" p1 p2 "") ) ) (defun C:Lp7-28() (setq r 2) (setq w 50) (setq v 6) (setq j 0) (while(<= j 1) (setq h 0.001) (setq x1(*(cos(* w j))r)) (setq y1(*(sin(* w j))r)) (setq z1(* v(- 1(* j j)))) (setq j(+ j h)) (setq x2(*(cos(* w j))r)) (setq y2(*(sin(* w j))r)) (setq z2(* v(- 1(* j j)))) (setq p1(list x1 y1 z1)) (setq p2(list x2 y2 z2)) (command"line" p1 p2 "") ) )

  10. 曲面的计算机表示方法 • 1.如何在曲面上取点 • 2.如何建立数学模型 • 3.计算机程序编写

  11. 第一个循环控制纬圆的位置, 第二个循环是画纬圆上的点 由纬圆沿轴线方向 移动而形成圆柱面

  12. (defun c:Lp8-1() (setq r(getreal "r=")) (setq h(getreal "h=")) (setq u 0) (while(<= u h) (setq x1 r) (setq y1 0) (setq z1 u) (setq p1(list x1 y1 z1)) (setq w 0) (while(<= w 6.3) LP8-1

  13. (setq x2(* r(cos w))) • (setq y2(* r(sin w))) • (setq z2 u) • (setq p2(list x2 y2 z2)) • (command“point" p1 p2 "") • (setq w(+ w 0.05)) • (setq p1 p2) • ) • (setq u(+ u 0.1)) • ) • )

  14. 圆柱面的另一种表示 • (defun c:Lp8-2() • (setq r(getreal"r=")) • (setq h(getreal"h=")) • (setq z 0) • (while(<= z h) • (setq cp(list 0 0 z)) • (command"circle" cp r "") • (setq z(+ z 0.5)) • ) • )

  15. 圆柱面的第三种表示 (defun c:Lp8-1n() (setq r(getreal "r=")) (setq h(getreal "h=")) (setq u 0) (while(<= u 6.283185307) (setq x1(* r(cos u))) (setq y1(* r(sin u))) (setq z1 0) (setq p1(list x1 y1 z1)) (setq x2(* r(cos u))) (setq y2(* r(sin u))) (setq z2 h) (setq p2(list x2 y2 z2)) (command"line" p1 p2 "") (setq u(+ u 0.01))))

  16. 习题:已知圆柱螺旋线的导程为T,圆柱半径为R,试用形、数结合的方法,求出其三面投影的方程。习题:已知圆柱螺旋线的导程为T,圆柱半径为R,试用形、数结合的方法,求出其三面投影的方程。

More Related